Skip to main content
GET
/
v1.0
/
packages
/
items
cURL
curl -X GET 'https://api.telegent.com/v1.0/packages/items?PackageId=PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db' \
  -H 'Authorization: Bearer YOUR_TOKEN'
[
  {
    "PackageItemId": "PIID-4efee842-16f0-4803-9780-8c3c30d19b74",
    "PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
    "ProductId": "PRID-9E4F3852-5405-E9FC-2FDF-7A0530B7D862",
    "AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
    "DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
    "Type": "Type 3",
    "Price": 1.12,
    "Monthly": false,
    "Active": true
  },
  {
    "PackageItemId": "PIID-06ed24ae-a406-4788-97f7-531ab34ea0aa",
    "PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
    "ProductId": "PRID-9E4F3852-5405-E9FC-2FDF-7A0530B7D862",
    "AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
    "DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
    "Type": "Type 4",
    "Price": 1.12,
    "Monthly": false,
    "Active": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.telegent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter the token obtained from the Authentication endpoint

Query Parameters

PackageId
string

The package ID to retrieve items for

Response

200 - application/json

Get Package Items

The response is of type object.